import os
import jinja2
ref_name =  os.environ.get('CI_COMMIT_REF_NAME')
git_name = os.environ.get('CI_PROJECT_NAME')
ssh_ca = os.environ.get('SSH_CA')
cluster_name = "{}-ci-{}".format(git_name,ref_name)
with open('os_vars.yml.j2','r') as f:
    template = jinja2.Template(f.read())
with open('os_vars.yml','w') as f:
    f.write(template.render(clustername=cluster_name, ssh_ca=ssh_ca))
